/*
 * Copyright (c) 2008-2013 by Farsight Security, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*! \file nmsg/vendors.h
 * \brief NMSG vendor ID values.
 */

#ifndef NMSG_VENDORS_H
#define NMSG_VENDORS_H

#define NMSG_VENDOR_BASE_ID		1
#define NMSG_VENDOR_BASE_NAME		"base"
#define NMSG_VENDOR_BASE		{ NMSG_VENDOR_BASE_ID, NMSG_VENDOR_BASE_NAME }

#define NMSG_VENDOR_ISC_ID		NMSG_VENDOR_BASE_ID
#define NMSG_VENDOR_ISC_NAME		NMSG_VENDOR_BASE_NAME
#define NMSG_VENDOR_ISC			NMSG_VENDOR_BASE

#define NMSG_VENDOR_SIE_ID		2
#define NMSG_VENDOR_SIE_NAME		"SIE"
#define NMSG_VENDOR_SIE			{ NMSG_VENDOR_SIE_ID, NMSG_VENDOR_SIE_NAME }

#define NMSG_VENDOR_GTISC_ID		3
#define NMSG_VENDOR_GTISC_NAME		"GTISC"
#define NMSG_VENDOR_GTISC		{ NMSG_VENDOR_GTISC_ID, NMSG_VENDOR_GTISC_NAME }

#define NMSG_VENDOR_DEFINTEL_ID		4
#define NMSG_VENDOR_DEFINTEL_NAME	"Defintel"
#define NMSG_VENDOR_DEFINTEL		{ NMSG_VENDOR_DEFINTEL_ID, NMSG_VENDOR_DEFINTEL_NAME }

#define NMSG_VENDOR_UNIVIE_ID		5
#define NMSG_VENDOR_UNIVIE_NAME		"Univie"
#define NMSG_VENDOR_UNIVIE		{ NMSG_VENDOR_UNIVIE_ID, NMSG_VENDOR_UNIVIE_NAME }

#define NMSG_VENDOR_UNVEILLANCE_ID	6
#define NMSG_VENDOR_UNVEILLANCE_NAME	"Unveillance"
#define NMSG_VENDOR_UNVEILLANCE		{ NMSG_VENDOR_UNVEILLANCE_ID, NMSG_VENDOR_UNVEILLANCE_NAME }

#define NMSG_VENDOR_WISC_ID		7
#define NMSG_VENDOR_WISC_NAME		"WISC"
#define NMSG_VENDOR_WISC		{ NMSG_VENDOR_WISC_ID, NMSG_VENDOR_WISC_NAME }

#endif /* NMSG_VENDORS_H */
